{% extends "asided.html" %}

{% block login_button %}{% endblock %}

{% block content %}
<h1>{{ _("login.title") }}</h1>

<form action="." method="post" data-abide="data-abide">
    {% if form.errors %}
    <div class="form-errors">
        <h4>{{ _("form.errors") }}</h4>
        <ul class="form-errors">
            {% for error in form.errors.__all__ %}
            <li>{{ _(error) }}</li>
            {% endfor %}
        </ul>
    </div>
    {% endif %}
    {{ csrf() }}
    {% for hidden in form.hidden_fields() %}{{hidden}}{% endfor %}
    <ul>
    {% for field in form %}
        {% if not field.is_hidden %}
            <li>
                <label for="{{ field.id_for_label }}">{{ _(field.label) }}</label>
                {{ field|safe }}
                {{ field.errors|safe }}
            </li>
        {% endif %}
    {% endfor %}
    </ul>
    <button type="submit" class="action-button">{{ _("login.form.submit") }}</button>
    <button type="submit" name="password-reset" class="step-button small">{{ _("login.form.password_reset") }}</button>
</form>


{% endblock %}

{% block aside %}
    <article>
        <h1>{{ _("login.side.title") }}</h1>
        <p>{{ _("login.side.text")|markdown }}</p>
    </article>
{% endblock %}
